<?php

namespace Repositories;

use Util\InstanceProvider;
use Teknisa\Model\Traits\TQuery;

class OmParamOrg
{
    use TQuery;

    public function getOrganizationRestrictionByIp($orgId){
        $query = <<<SQL
                SELECT NR_IP_RESTRICTION AS ID, IDATIVO AS ACTIVE,
                       DS_IPV4_RESTRICTED AS IPV4, DS_IPV6_RESTRICTED AS IPV6,
                       DS_OBS_IP_RESTRICTED AS DESCRIPTION
                  FROM OM_IP_RESTRICTION
                 WHERE NRORG = :orgId
SQL;
        $params = array(
            "orgId" => $orgId
        );

        return $this->createAndExecuteQueryAndBuildResponseData(InstanceProvider::getEntityManager(), $query, $params);
    }
}